{
    "files.associations": {
        "**/*.html": "html",
        "**/templates/**/*.html": "django-html",
        "**/templates/**/*": "django-txt",
        "**/requirements{/**,*}.{txt,in}": "pip-requirements"
    },
    "emmet.includeLanguages": {
        "django-html": "html"
    },
    "python.autoComplete.extraPaths": ["${workspaceFolder}/backend"],
    "[python]": {
        "editor.rulers": [99],
        "editor.codeActionsOnSave": {
            "source.organizeImports": "explicit"
        },
        "editor.formatOnSave": true,
        "editor.defaultFormatter": "ms-python.black-formatter"
    },
    "autoDocstring.docstringFormat": "sphinx",
    "editor.formatOnSave": false,
    "files.watcherExclude": {
        "**/.git/objects/**": true,
        "**/.git/subtree-cache/**": true,
        "**/node_modules/*/**": true,
        "**/venv/**": true,
        "**/.venv/**": true
    },
    "pylint.args": ["--load-plugins", "pylint_django"],
    "python.analysis.extraPaths": ["${workspaceFolder}/backend"],
    "yaml.schemas": {
        "https://gitlab.com/gitlab-org/gitlab/-/raw/master/app/assets/javascripts/editor/schema/ci.json": ".gitlab-ci.yaml"
    },
    "makefile.configureOnOpen": false
    // "python.pythonPath": ".venv/bin/python",
}
